image: php:8.0.0

pipelines:
  default:
    - step:
        name: Deploy via SFTP using SCP
        caches:
          - composer
        script:
          - apt-get update && apt-get install -y openssh-client

          # Deploy all files using scp over SFTP/SSH (recursive copy)
          - scp -r -P 23243 * ubuntu@103.27.232.132:/var/www/floorfactory/floorfactory/


